/*
 * playgl.h -- $Id$
 * OpenGL portability layer interface declarations
 *
 * Copyright (c) 1998.  See accompanying LEGAL file for details.
 */

/* include play.h, then playgl.h, then GL/gl.h */

typedef struct p_glwin p_glwin;   /* opaque to platform independent code */

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

extern p_glwin *p_glcreate(p_win *parent, int width, int height, int x, int y);
extern void p_gldestroy(p_glwin *w);
extern void p_glswap(p_glwin *w);
extern void p_glcurrent(p_glwin *w);

/* Mr. Bill buggered <GL/gl.h> so it won't work without this
 * -- better to have it confined to this one place */
#ifdef _WIN32
#include <windows.h>
#endif

#if defined(__cplusplus) || defined(c_plusplus)
}
#endif
